Subject: Re: bug#31228: Update GREP manpage

From: Ingo Schwarze <[email-masked]>
Date: Sun, 22 Apr 2018 16:28:20 +0200

Hi Paul,

Paul Eggert wrote on Sat, Apr 21, 2018 at 01:55:17PM -0700:
> Ingo Schwarze wrote:

>> i admit that it requires a bit of work, but it would
>> give your users better manual pages

> We could add it to our list of things to do. In the meantime...

Thanks.  Totally reasonable and not urgent.

>> groff and mandoc output of what you committed to git are
>> byte-by-byte identical except for the following one-blank difference
>> (mandoc output looks minimally better than groff output at that
>> point, groff prints one excess blank character because it wrongly
>> detects the end of a sentence where there is none):

> That's a minor formatting glitch in the grep man page.
> Thanks for reporting it. 

Heh.  I didn't even view it as a glitch in the grep(1) manual,
but you are right, there is nothing wrong with disambiguating
it with "]\&" on the closing bracket.

> I fixed it by installing the attached patch, which fixes some
> similar glitches too.  I installed a couple of other man page
> patches while in the neighborhood; 
> you can see the current version here:
> 
> https://git.savannah.gnu.org/cgit/grep.git/plain/doc/grep.in.1

I confirm that it now renders byte-by-byte identically with
git-master groff and CVS-HEAD mandoc in -Tascii mode.  While
differences are not necessarily man page bugs, identical output
is usually not a bad sign.

> @@ -1126,7 +1127,7 @@ The default is a cyan text foreground over the terminal's default background.
>  .B ne
>  Boolean value that prevents clearing to the end of line
>  using Erase in Line (EL) to Right
> -.RB ( \\\\\\33[K )
> +.RB ( \e33[K )
>  each time a colorized item ends.
>  This is needed on terminals on which EL is not supported.
>  It is otherwise useful on terminals

Excellent idea, i'm kind of surprised the old version actually
worked...  :-)

Thanks again,
  Ingo